mtext_cpy(3m17n)

NAME
mtext_cpy - Copy an M-text to another.

SYNOPSIS
MText* mtext_cpy (MText * mt1, MText * mt2)

DESCRIPTION
Copy an M-text to another.

The mtext_cpy() function copies M-text mt2 to M-text mt1 while inheriting all the text properties. The old text in mt1 is overwritten and the length of mt1 is extended if necessary. mt2 is not modified.

RETURN VALUE

    This function returns a pointer to the resulting M-text mt1.

SEE ALSO

    mtext_ncpy(), mtext_copy()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.